program Tests;

uses
  Forms,
  Main in 'Main.pas' {fmMain},
  dmu in 'dmu.pas' {dm: TDataModule},
  authorization in 'authorization.pas' {fmAuthorization},
  Splash in 'Splash.pas' {fmSplash},
  addEditTest in 'DB\img\addEditTest.pas' {fmEditAddTest},
  EditAddResult in 'DB\img\EditAddResult.pas' {fmEditAddResult},
  EditAddQuestions in 'EditAddQuestions.pas' {fmEditAddQuestions},
  Form in 'Form.pas' {fmForm};

{$R *.res}

begin
  Application.Initialize;
  fmSplash := TfmSplash.Create(Application);
  fmSplash.Show;
  fmSplash.Repaint;
  if not fmSplash.EndLoad then begin
    Application.ProcessMessages;
  end;
  Application.CreateForm(TfmAuthorization, fmAuthorization);
  Application.CreateForm(TfmMain, fmMain);
  Application.CreateForm(Tdm, dm);
  Application.CreateForm(TfmEditAddTest, fmEditAddTest);
  Application.CreateForm(TfmEditAddResult, fmEditAddResult);
  Application.CreateForm(TfmEditAddQuestions, fmEditAddQuestions);
  Application.CreateForm(TfmForm, fmForm);
  fmSplash.Hide;
  fmSplash.Free;
  Application.Run;
end.

